Skip to main content
POST
Report List

Query Parameters

apikey
string
required

Your API key. For details on how to obtain and manage your API key, please refer to the Authentication page.

Kindly note:

Please check if you have bound your access IP to the key and have the authority quotas to access this API before you interact with it.

Body

application/json
query
string

Keyword search parameter that matches across multiple indexed fields, including report title, summary, tags, IOCs, CVE identifiers and names, target products, target organizations, and other relevant attributes.

threat_type_list
string[]

Specifies one or more threat event types to filter reports. Multiple values should be passed as a JSON array of strings (String[]).For the list of supported threat event types, please refer to the Threat Report Glossaries.

Note: This parameter is only applicable to reports belonging to the Incident Analysis category.

severity_list
string[]

Specifies one or more severity levels to filter reports. Multiple values should be passed as a JSON array of strings (String[]). Supported levels include:

  • critical
  • high
  • low

If not provided, reports of all severity levels will be returned.

category_list
string[]

Specifies one or more report content categories to filter results. Multiple values should be passed as a JSON array of strings (String[]). Supported categories include:

  • Incident Analysis
  • Malware Analysis
  • Vulnerability Analysis
  • Summary Report
  • Security News
  • Incident Response
threat_actor_list
string[]

Specifies one or more threat actors to filter reports. Multiple values should be passed as a JSON array of strings (String[]).

Example values include names of known threat groups such as Lazarus, APT41, etc.

target_region_list
string[]

Specifies one or more target countries to filter reports. Multiple values should be passed as a JSON array of strings (String[]).

target_region_code
string[]

Specifies one or more target countries to filter reports using ISO 3166-1 alpha-2 country codes (e.g., US, CN, GB). Multiple values should be passed as a JSON array of strings (String[]). For a full list of codes, refer to the ISO Online Browsing Platform.

target_industry_list
string[]

Specifies one or more target industries to filter reports. Multiple values should be passed as a JSON array of strings (String[]). Industry names follow the STIX II industry taxonomy (e.g., financial-services, government, technology, etc.). For the list of supported industries, please refer to the Reports Glossaries.

target_org_list
string[]

Specifies one or more targeted organizations referenced in the reports. Multiple values should be passed as a JSON array of strings (String[]).

target_product_list
string[]

Specifies one or more targeted products referenced in the reports. Multiple values should be passed as a JSON array of strings (String[]). Examples include product names such as OpenSSH, Exchange Server.

industry_of_target_org
string[]

Specifies one or more targeted organizations' industries to filter reports. Multiple values should be passed as a JSON array of strings (String[]). Industry names follow the STIX II industry taxonomy (e.g., financial-services, government, technology, etc.). For the list of supported industries, please refer to the Reports Glossaries.

hq_region_of_target_org
string[]

Specifies one or more targeted organizations' headquarters regions using ISO 3166-1 alpha-2 country codes (e.g., US, CN, GB). Multiple values should be passed as a JSON array of strings (String[]). For a full list of codes, refer to the ISO Online Browsing Platform.

has_iocs
boolean

Indicates whether to return only reports that contain IOC information.

  • true, only reports with IOC data will be returned.
  • false or omitted, all reports will be included by default.
has_cves
boolean

Indicates whether to return only reports that contain CVE information.

  • true, only reports with CVE data will be returned.
  • false or omitted, all reports will be included by default.
has_rules
boolean

Indicates whether to return only reports that contain detection rules.

  • true, only reports with detection rule data will be returned.
  • false or omitted, all reports will be included by default.
published_from
string

Specifies the start of the report publication time range (inclusive). Supports ISO8601 datetime format, e.g., 2024-09-01T00:00:00Z.

published_to
string

Specifies the end of the report publication time range (inclusive). Supports ISO8601 datetime format, e.g., 2024-10-01T00:00:00Z.

from_tb_lab
boolean

Indicates whether to return only ThreatBook Lab exclusive reports.

  • true, only ThreatBook Lab–originated reports will be returned.
  • false or omitted, all reports (including open-source intelligence) will be included by default.
limit
integer

Specifies the number of records to return per page. The default value is 20, and the maximum allowed value is 100.

cursor
string

Specifies the pagination cursor used to retrieve the next page of results.
If omitted, the first page of results will be returned.

Response

data
object
required
response_code
integer
required
msg
string
required

Allowed value: "Success"